List Stages
/unified/crm/stages
Query Parameters
Refer Specifying query parameters in Truto APIs
The pipeline of the stages.
12 supported2 required
The unique identifier of the pipeline.
The name of the pipeline
1 supported1 required
The stage's name
18 supported
The order of stage in the pipeline
11 supported
The date and time of the stage's creation
9 supported
The date and time of the stage's last update
10 supported
created_atnamepositionupdated_at
4 supported
namecreated_atupdated_atpositioncreated_atupdated_atnamenamecreated_atupdated_atnamepositionThe status of the stage
activeinactive
7 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Stages
The stage's unique identifier
18 supported
The date and time of the stage's creation
9 supported
The stage's name
18 supported
The pipeline this stage is part of
11 supported
2 properties
The pipeline's unique identifier
The name of the pipeline
The order of stage in the pipeline
11 supported
Raw data returned from the remote API call.
The status of the stage
activeinactive
7 supported
The date and time of the stage's last update
10 supported
curl -X GET 'https://api.truto.one/unified/crm/stages?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/crm/stages?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/stages"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'crm',
'stages',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"crm",
"stages",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())